Package: groovy.org.codenarc.ruleset

## [Groovy] Class RuleSetUtil

- groovy.org.codenarc.ruleset.RuleSetUtil

- A private utility class for the `RuleSet` classes. All methods are static.

  This is an internal class and its API is subject to change.
  Authors:
    Chris Mair

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static String` | `CLASS_LOADER_SYS_PROP` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected static void` | `assertClassImplementsRuleInterface(Class ruleClass)`
    `` | `protected static Rule` | `loadRuleScriptFile(String path)`
    `` | `static RuleSet` | `loadRuleSetFile(String path)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected static final String CLASS_LOADER_SYS_PROP

  - ### Method Detail

    - #### protected static void assertClassImplementsRuleInterface(Class ruleClass)

    - #### protected static Rule loadRuleScriptFile(String path)

    - #### static RuleSet loadRuleSetFile(String path)